## org.apache.batik.gvt.text
Class MarginInfo

    java.lang.Object
      org.apache.batik.gvt.text.MarginInfo

public class MarginInfo
extends java.lang.Object

Field Summary
`protected float` `bottom`
`protected boolean` `flowRegionBreak`
`protected float` `indent`
`protected int` `justification`
`static int` `JUSTIFY_END`
`static int` `JUSTIFY_FULL`
`static int` `JUSTIFY_MIDDLE`
`static int` `JUSTIFY_START`
`protected float` `left`
`protected float` `right`
`protected float` `top`

Constructor Summary
`MarginInfo(float top, float right, float bottom, float left, float indent, int justification, boolean flowRegionBreak)`
`MarginInfo(float margin, int justification)`

Method Summary
`float` `getBottomMargin()`
`float` `getIndent()`
`int` `getJustification()`
`float` `getLeftMargin()`
`float` `getRightMargin()`
`float` `getTopMargin()`
`boolean` `isFlowRegionBreak()`
`void` `setMargin(float margin)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JUSTIFY_START

    public static final int JUSTIFY_START

See Also:
  Constant Field Values

### JUSTIFY_MIDDLE

    public static final int JUSTIFY_MIDDLE

See Also:
  Constant Field Values

### JUSTIFY_END

    public static final int JUSTIFY_END

See Also:
  Constant Field Values

### JUSTIFY_FULL

    public static final int JUSTIFY_FULL

See Also:
  Constant Field Values

### top

    protected float top

### right

    protected float right

### bottom

    protected float bottom

### left

    protected float left

### indent

    protected float indent

### justification

    protected int justification

### flowRegionBreak

    protected boolean flowRegionBreak

Constructor Detail

### MarginInfo

    public MarginInfo(float top,
                      float right,
                      float bottom,
                      float left,
                      float indent,
                      int justification,
                      boolean flowRegionBreak)

### MarginInfo

    public MarginInfo(float margin,
                      int justification)

Method Detail

### setMargin

    public void setMargin(float margin)

### getTopMargin

    public float getTopMargin()

### getRightMargin

    public float getRightMargin()

### getBottomMargin

    public float getBottomMargin()

### getLeftMargin

    public float getLeftMargin()

### getIndent

    public float getIndent()

### getJustification

    public int getJustification()

### isFlowRegionBreak

    public boolean isFlowRegionBreak()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.